[package]
name = "gila"
version = "0.4.0"
edition = "2024"
license = "MIT"

[dependencies]
acid_alloc = { version = "0.1.0", features = ["alloc"] }
enumflags2 = "0.7.12"
flagset = "0.4.7"
intbits = "0.2.0"
lazy_static = { version = "1.5.0", default-features = false, features = ["spin_no_std"] }
limine = "0.6.5"
num-derive = "0.4.2"
num-traits = { version = "0.2.19", default-features = false }
once_cell = { version = "1.21.3", default-features = false, features = ["alloc", "critical-section"] }
spin = "0.12.1"
talc = "4.4.3"

[target.'cfg(target_arch = "x86_64")'.dependencies]
x86_64 = "0.15.2"
raw-cpuid = "11.6.0"

[[bin]]
name = "kernel"
path = "src/kernel/main.rs"
test = false
doctest = false
bench = false

[[bin]]
name = "userboot"
path = "src/userboot/main.rs"

[lib]
name = "gila"
path = "src/lib/lib.rs"
